# Class ToStringOutputArchive

java.lang.Object
org.apache.jute.ToStringOutputArchive

All Implemented Interfaces:
  `OutputArchive`

public class ToStringOutputArchive extends Object implements OutputArchive

## Constructor Summary

Constructors
Constructor
Description
`ToStringOutputArchive(OutputStream out)`
Creates a new instance of ToStringOutputArchive.

## Method Summary

Modifier and Type
Method
Description
`void`
`endMap(TreeMap<?,?> v, String tag)`
`void`
`endRecord(Record r, String tag)`
`void`
`endVector(List<?> v, String tag)`
`long`
`getDataSize()`
`void`
`startMap(TreeMap<?,?> v, String tag)`
`void`
`startRecord(Record r, String tag)`
`void`
`startVector(List<?> v, String tag)`
`void`
`writeBool(boolean b, String tag)`
`void`
`writeBuffer(byte[] buf, String tag)`
`void`
`writeByte(byte b, String tag)`
`void`
`writeDouble(double d, String tag)`
`void`
`writeFloat(float f, String tag)`
`void`
`writeInt(int i, String tag)`
`void`
`writeLong(long l, String tag)`
`void`
`writeRecord(Record r, String tag)`
`void`
`writeString(String s, String tag)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToStringOutputArchive

public ToStringOutputArchive(OutputStream out) throws UnsupportedEncodingException
Creates a new instance of ToStringOutputArchive.

Throws:
  `UnsupportedEncodingException`

## Method Details

### writeByte

public void writeByte(byte b, String tag) throws IOException

Specified by:
  `writeByte` in interface `OutputArchive`
Throws:
  `IOException`

### writeBool

public void writeBool(boolean b, String tag) throws IOException

Specified by:
  `writeBool` in interface `OutputArchive`
Throws:
  `IOException`

### writeInt

public void writeInt(int i, String tag) throws IOException

Specified by:
  `writeInt` in interface `OutputArchive`
Throws:
  `IOException`

### writeLong

public void writeLong(long l, String tag) throws IOException

Specified by:
  `writeLong` in interface `OutputArchive`
Throws:
  `IOException`

### writeFloat

public void writeFloat(float f, String tag) throws IOException

Specified by:
  `writeFloat` in interface `OutputArchive`
Throws:
  `IOException`

### writeDouble

public void writeDouble(double d, String tag) throws IOException

Specified by:
  `writeDouble` in interface `OutputArchive`
Throws:
  `IOException`

### writeString

public void writeString(String s, String tag) throws IOException

Specified by:
  `writeString` in interface `OutputArchive`
Throws:
  `IOException`

### writeBuffer

public void writeBuffer(byte[] buf, String tag) throws IOException

Specified by:
  `writeBuffer` in interface `OutputArchive`
Throws:
  `IOException`

### writeRecord

public void writeRecord(Record r, String tag) throws IOException

Specified by:
  `writeRecord` in interface `OutputArchive`
Throws:
  `IOException`

### startRecord

public void startRecord(Record r, String tag) throws IOException

Specified by:
  `startRecord` in interface `OutputArchive`
Throws:
  `IOException`

### endRecord

public void endRecord(Record r, String tag) throws IOException

Specified by:
  `endRecord` in interface `OutputArchive`
Throws:
  `IOException`

### startVector

public void startVector(List<?> v, String tag) throws IOException

Specified by:
  `startVector` in interface `OutputArchive`
Throws:
  `IOException`

### endVector

public void endVector(List<?> v, String tag) throws IOException

Specified by:
  `endVector` in interface `OutputArchive`
Throws:
  `IOException`

### startMap

public void startMap(TreeMap<?,?> v, String tag) throws IOException

Specified by:
  `startMap` in interface `OutputArchive`
Throws:
  `IOException`

### endMap

public void endMap(TreeMap<?,?> v, String tag) throws IOException

Specified by:
  `endMap` in interface `OutputArchive`
Throws:
  `IOException`

### getDataSize

public long getDataSize()

Specified by:
  `getDataSize` in interface `OutputArchive`